#
# spec file for package albert
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           albert
Version:        0.16.1
Release:        lp152.2.4
Summary:        Desktop agnostic launcher
License:        GPL-3.0-or-later
URL:            https://albertlauncher.github.io/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Charts) >= 5.9
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.9
BuildRequires:  pkgconfig(Qt5Core) >= 5.9
BuildRequires:  pkgconfig(Qt5DBus) >= 5.9
BuildRequires:  pkgconfig(Qt5Gui) >= 5.9
BuildRequires:  pkgconfig(Qt5Network) >= 5.9
BuildRequires:  pkgconfig(Qt5Qml) >= 5.9
BuildRequires:  pkgconfig(Qt5Sql) >= 5.9
BuildRequires:  pkgconfig(Qt5Svg) >= 5.9
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.9
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.9
BuildRequires:  pkgconfig(Qt5Xml) >= 5.9
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(xext)

%description
Access everything with virtually zero effort. Run applications,
open files or their paths, open bookmarks in your browser, search
the web, calculate things and a lot more.

%prep
%setup -q

%build
%cmake \
  -DCMAKE_INSTALL_LIBDIR="%{_lib}" \
  -DCMAKE_SHARED_LINKER_FLAGS=""   \
  -DCMAKE_SKIP_RPATH=OFF           \
  -DBUILD_VIRTUALBOX=OFF
%cmake_build

%install
%cmake_install

%suse_update_desktop_file %{name} Utility DesktopUtility

%if 0%{?suse_version} < 1500
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%doc README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sun Feb 23 2020 Max Lin <mlin@suse.com>
- Build requires pkgconfig(xext) explicity, libXrandr-devel was pulled
  by vulkan at build time in Leap 15.2, thus libXext-devel was pulled
  at build due libXrabdr-devel wasn't there, this end up with bild
  error - cannot find shape.h
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon Mar 18 2019 Simon Lees <sflees@suse.de>
- %%make_jobs -> %%cmake_build
* Tue Jan  1 2019 tobia@ledfan.be
- Update to version 0.16.1:
  * [albert] Fix default plugin lookup path
  * [albert] Fix flicker when changing frontends
  * [albert] Fix “Terminal option resets after a restart”
  * [albert] Link libglobalshortcut statically
  * [albert] Add a build flag for QtCharts
  * [albert] Drop debug options if favor of QLoggingCategory env vars
  * [plugins:ssh] Fix input regex. Sort by length then lexically.
  * [plugins:ssh] Use backward compatible ssh url syntax
  * [plugins:qml] Consistent form layout
  * [modules:aur] Sort items by length first
* Tue Nov 27 2018 mcalabkova@suse.com
- Update to version 0.14.22:
  * Fix settings not shown on missing hotkey
  * Update comments
  * Fix travis #2
  * Fix travis build
  * v0.14.22
  * Add telemetry checkbox. Closes #697
  * Add telemetry question.
  * fixed typo (#711)
  * Update ISSUE_TEMPLATE.md
  * Backward compatibility.
* Tue Jun 12 2018 sor.alexei@meowr.ru
- Update to version 0.14.21:
  * No changelog available.
- Remove albert-fix-libdir.patch.
* Mon Jun  5 2017 sor.alexei@meowr.ru
- Update to version 0.11.3:
  * No changelog available.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.11.1:
  * No changelog available.
- Rebase albert-fix-libdir.patch.
* Mon Feb  6 2017 sor.alexei@meowr.ru
- Update to version 0.9.3:
  * No changelog available.
- Add albert-fix-libdir.patch: Install libraries into a correct
  directory.
* Sat Jul 23 2016 sor.alexei@meowr.ru
- Update to version 0.8.10:
  * No changelog available.
* Sat May 28 2016 sor.alexei@meowr.ru
- Update to version 0.8.9:
  * No changelog available.
* Wed May  4 2016 sor.alexei@meowr.ru
- Update to version 0.8.8.
* Mon Apr 25 2016 p.drouand@gmail.com
- Update to version 0.8.7.2
  * No changelog available
- Add pkgconfig(Qt5Svg) requirement; new upstream dependency
* Mon Nov 23 2015 sor.alexei@meowr.ru
- Initial package.
